Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class PolicySubject

    java.lang.Object
      org.apache.axis2.description.PolicySubject

    public class PolicySubject

extends java.lang.Object

Constructor Summary
`PolicySubject()`

Method Summary
`void` | `attachPolicy(org.apache.neethi.Policy policy)`
`void` | `attachPolicyComponent(org.apache.neethi.PolicyComponent policyComponent)`
`void` | `attachPolicyComponent(java.lang.String key, org.apache.neethi.PolicyComponent policyComponent)`
`void` | `attachPolicyComponents(java.util.List<org.apache.neethi.PolicyComponent> policyComponents)`
`void` | `attachPolicyReference(org.apache.neethi.PolicyReference reference)`
`void` | `clear()`
`void` | `detachPolicyComponent(java.lang.String key)`
`org.apache.neethi.PolicyComponent` | `getAttachedPolicyComponent(java.lang.String key)`
`java.util.Collection<org.apache.neethi.PolicyComponent>` | `getAttachedPolicyComponents()`
`java.util.Date` | `getLastUpdatedTime()`
`boolean` | `isUpdated()`
`void` | `setLastUpdatedTime(java.util.Date lastUpdatedTime)`
`void` | `setUpdated(boolean updated)`
`void` | `updatePolicy(org.apache.neethi.Policy policy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicySubject

    public PolicySubject()

Method Detail

### attachPolicy

    public void attachPolicy(org.apache.neethi.Policy policy)

### attachPolicyReference

    public void attachPolicyReference(org.apache.neethi.PolicyReference reference)

### attachPolicyComponents

    public void attachPolicyComponents(java.util.List<org.apache.neethi.PolicyComponent> policyComponents)

### attachPolicyComponent

    public void attachPolicyComponent(org.apache.neethi.PolicyComponent policyComponent)

### attachPolicyComponent

    public void attachPolicyComponent(java.lang.String key,
                                      org.apache.neethi.PolicyComponent policyComponent)

### getAttachedPolicyComponent

    public org.apache.neethi.PolicyComponent getAttachedPolicyComponent(java.lang.String key)

### getAttachedPolicyComponents

    public java.util.Collection<org.apache.neethi.PolicyComponent> getAttachedPolicyComponents()

### isUpdated

    public boolean isUpdated()

### setUpdated

    public void setUpdated(boolean updated)

### updatePolicy

    public void updatePolicy(org.apache.neethi.Policy policy)

### detachPolicyComponent

    public void detachPolicyComponent(java.lang.String key)

### clear

    public void clear()

### getLastUpdatedTime

    public java.util.Date getLastUpdatedTime()

### setLastUpdatedTime

    public void setLastUpdatedTime(java.util.Date lastUpdatedTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.